## olivetti-mode 1.11.3

=== Makefile ===
.POSIX:
PROGRAM		= olivetti
LISP_FILE	= $(PROGRAM).el
DEPS		= seq package-lint
NEWS_FILE	= NEWS
VERS		= $(shell grep -oE -m1 'Version:[ 0-9.]+' $(LISP_FILE) | tr -d :)
TAG		= $(shell echo $(VERS) | sed -E 's/Version:? ([0-9.]+)/v\1/')
INIT		= '(progn \
  (require (quote package)) \
  (push (cons "melpa" "https://melpa.org/packages/") package-archives) \
  (package-initialize) \
  (mapc (lambda (pkg) \
          (unless (package-installed-p pkg) \
            (unless (assoc pkg package-archive-contents) \
              (package-refresh-contents)) \
            (package-install pkg))) \
        (quote ($(DEPS)))))'

all: check compile clean

check:
	emacs -Q --eval $(INIT) --batch -f package-lint-batch-and-exit $(LISP_FILE)

compile: clean
	emacs -Q --eval $(INIT) -L . --batch -f batch-byte-compile $(LISP_FILE)

tag-release: check compile
	sed -i~ '1 s/.*/* $(VERS)/' $(NEWS_FILE)
	git commit -m 'Add $(VERS) to $(NEWS_FILE)' $(NEWS_FILE)
	awk '/^* Version/ {v ++ 1} v == 1' $(NEWS_FILE) | sed 's/^* //' | git tag -sF - $(TAG)

clean:
	rm -f $(PROGRAM).elc

## olivetti-mode 1.5.9

=== debian/changelog ===
olivetti-mode (1.5.9-1) unstable; urgency=medium

  * Initial release. (Closes: #879877)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 09 Jan 2018 13:41:42 -0500

=== debian/control ===
Source: olivetti-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper (>= 11)
             , dh-elpa
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/olivetti-mode.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/olivetti-mode.git

Package: elpa-olivetti
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
        , emacs25
Description: Emacs minor mode to more comfortably write prose
 Olivetti keeps everything it does buffer-local, so you can write
 prose in one buffer and code in another, side-by-side in the same
 frame. Or, by hiding the mode-line and using a single window in a
 fullscreen frame, Olivetti provides a nice distraction-free
 environment. In this sense it is similar to writeroom-mode, but the
 latter is a more hardcore distraction-free writing mode with much
 larger scope.
 .
 Features:
   * Set a desired text body width to automatically resize window
     margins to keep the text comfortably in the middle of the window.
   * Text body width can be the number of characters (an integer) or a
     fraction of the window width (a float between 0.0 and 1.0).
   * Interactively change body width with:
         olivetti-shrink C-c [ [ [ ...
         olivetti-expand C-c ] ] ] ...
         olivetti-set-width C-c \
   * If olivetti-body-width is an integer, the text body width will
     scale with use of text-scale-mode, whereas if a fraction (float)
     then the text body width will remain at that fraction.
   * Optionally remember the state of visual-line-mode on entry and
     recall its state on exit.
   * Optionally hide the mode-line for distraction-free writing.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/olivetti-$1.tar.gz/" \
    https://github.com/rnkn/olivetti/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## olivetti-mode 1.6.1

=== debian/changelog ===
olivetti-mode (1.6.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 12:15:49 -0300

olivetti-mode (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0001-Fix-version-declared-in-ELPA-header.patch
    - Not needed for this release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 06 Jun 2018 17:02:40 -0400

olivetti-mode (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add missing homepage.
    - Change section to editors, which is more accurate and discoverable.
    - Relax debhelper dep to allow backporting.
    - Switch Vcs from alioth to salsa.
    - Update Maintainer team name and email address.
  * debian/copyright: Add 2017 to copyright range.
  * Update 0001-Fix-version-declared-in-ELPA-header.patch to declare 1.6.0.
  * Declare Standards-Version: 4.1.4. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 26 May 2018 21:36:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: olivetti-mode
-Section: lisp
+Section: editors
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 11~)
              , dh-elpa
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/olivetti-mode.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/olivetti-mode.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/emacsen-team/olivetti-mode
+Vcs-Git: https://salsa.debian.org/emacsen-team/olivetti-mode.git
+Homepage: https://github.com/rnkn/olivetti
 
 Package: elpa-olivetti
 Architecture: all

## olivetti-mode 1.11.1

=== debian/changelog ===
olivetti-mode (1.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 04 Jul 2020 13:54:23 -0400

olivetti-mode (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 30 Jun 2020 09:19:27 -0400

olivetti-mode (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file to reflect upstream changes.
  * Update my copyright date range.
  * Add upstream contact.
  * Drop emacs25 from Enhances (not useful post buster).
  * Switch to debhelper-compat 13.
  * Add 0001-Restore-established-keybindings.patch; see patch header for
    explanation.
  * Add README.Debian to document this digression from upstream, and
    additionally to provide a solution for users who wish to combine Olivetti
    with org-mode.
  * Add Enhances: elpa-markdown-mode.
  * Rewrite long description, and drop mention of the mode-line hiding
    feature that was dropped in upstream v1.7.1.
  * control: Add "Rules-Requires-Root: no"
  * Declare Standards-Version 4.5.0 (no additional changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 15 Jun 2020 14:11:05 -0400

=== debian/control ===
Source: olivetti-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/olivetti-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/olivetti-mode.git
Homepage: https://github.com/rnkn/olivetti

Package: elpa-olivetti
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
        , elpa-markdown-mode
Description: Emacs minor mode to more comfortably read and write long-lined prose
 Olivetti, a minor mode for Emacs, displays content soft-wrapped to a
 comfortable width, centered inside the larger window.  The visual effect of
 this is similar to the sheet of paper in WYSIWYG word-processors such as
 LibreOffice, and is similar to distraction-limiting software such as
 FocusWriter, WriteRoom, and various Markdown editors.  Olivetti-mode is
 usually used for writing prose and long documents, but when used for reading
 it may slightly increase one's reading speed and one's ability to recall the
 material.
 .
 Features:
   * Exclusively affects buffers for which it has been activated.
   * Dynamically manages window margins so that text remains centered.
   * Interactive modification of `text-body-width` at any time.
   * When `olivetti-body-width` is set to an integer, the text area will
     scale with the size of the font; whereas, when a fraction or float
     is used, the apparent size of the text area will remain visually
     proportioned to the size of the window.
   * Optionally remember the state of visual-line-mode on entry and recall
     its state on exit.  Olivetti enables visual-line-mode by default.

## olivetti-mode 1.11.3

=== debian/changelog ===
olivetti-mode (1.11.3-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.
  * Update upstream copyright years.
  * Update my email address.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 09 Feb 2021 23:23:02 -0500

olivetti-mode (1.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.
  * Install upstream NEWS file and screenshot used in README.md.
  * Ignore upstream Makefile by overriding dh_auto_build and dh_auto_install.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 03 Nov 2020 20:29:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
+Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
 Rules-Requires-Root: no

## olivetti-mode 2.0.4

=== Makefile ===
.POSIX:
PROG		= olivetti
LISP_FILE	= ${PROG}.el
DEPS		= seq package-lint
NEWS_FILE	= NEWS
VERS		= ${shell grep -oE -m1 'Version:[ 0-9.]+' ${LISP_FILE} | tr -d :}
TAG		= ${shell echo ${VERS} | sed -E 's/Version:? ([0-9.]+)/v\1/'}
INIT		= (progn \
  (require (quote package)) \
  (push (cons "melpa" "https://melpa.org/packages/") package-archives) \
  (package-initialize) \
  (mapc (lambda (pkg) \
          (unless (package-installed-p pkg) \
            (unless (assoc pkg package-archive-contents) \
              (package-refresh-contents)) \
            (package-install pkg))) \
        (quote (${DEPS}))))

help:
	@echo check
	@echo compile
	@echo all: check compile clean
	@echo tag-release: check compile
	@echo clean

all: check compile clean

check:
	emacs -Q --eval '${INIT}' --batch -f package-lint-batch-and-exit ${LISP_FILE}

compile: clean
	emacs -Q --eval '${INIT}' -L . --batch -f batch-byte-compile ${LISP_FILE}

tag-release: check compile
	sed -i~ '1 s/.*/* ${VERS}/' ${NEWS_FILE}
	git commit -m 'Add ${VERS} to ${NEWS_FILE}' ${NEWS_FILE}
	awk '/^* Version/ { v ++1 } v == 1' ${NEWS_FILE} | sed 's/^* //' | git tag -F - ${TAG}

clean:
	rm -f ${PROG}.elc

=== debian/changelog ===
olivetti-mode (2.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch onto this release.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 14 Nov 2021 12:03:38 -0500

olivetti-mode (2.0.3-1) unstable; urgency=medium

  * New upstream release.  Consult upstream NEWS file in /usr/share/doc
    for the list of changes.
  * Rebase 0001-Restore-established-keybindings.patch onto this release,
    and reject the new 'C-c |' binding for olivetti-set-width.
  * Update README.Debian.
  * Update upstream copyright years and upstream contact.
  * Update my copyright years.
  * Update debian/docs for new location of screenshot.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 13 Sep 2021 17:41:39 -0400

## olivetti-mode 2.0.5

=== debian/changelog ===
olivetti-mode (2.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch onto this release.
  * Drop version qualifier for emacs Recommends, because even oldoldstable has
    the required version.
  * Update upstream copyright years as well as my years.
  * Update Upstream-Contact.
  * No longer specify "NEWS" in d/docs, because upstream has migrated it to
    markdown, which is already handled by the "*.md" rule.
  * Declare Standards-Version 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Sat, 18 Nov 2023 15:13:42 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/olivetti-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/olivetti-mode.git
 Homepage: https://github.com/rnkn/olivetti
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${elpa:Depends}
        , ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
         , elpa-markdown-mode
 Description: Emacs minor mode to more comfortably read and write long-lined prose

## olivetti-mode 2.0.7

=== Makefile ===
# n.b. This Makefile is for development convenience only. It is not
# required to build or install Olivetti.

.POSIX:
PROG		= olivetti
LISP_FILE	= ${PROG}.el
DEPS		= seq package-lint
NEWS_FILE	= NEWS.md
VERS		= ${shell grep -oE -m1 'Version:[ 0-9.]+' ${LISP_FILE} | tr -d :}
TAG		= ${shell echo ${VERS} | sed -E 's/Version:? ([0-9.]+)/v\1/'}
INIT		= \
(progn (require (quote package)) \
       (push (cons "melpa" "https://melpa.org/packages/") package-archives) \
       (package-initialize) \
       (dolist (pkg (quote (${DEPS}))) \
         (unless (package-installed-p pkg) \
           (unless (assoc pkg package-archive-contents) \
             (package-refresh-contents)) \
           (package-install pkg))))

all: check compile clean

check:
	@emacs -Q --eval '${INIT}' --batch -f package-lint-batch-and-exit ${LISP_FILE}

compile: clean
	@emacs -Q --eval '${INIT}' -L . --batch -f batch-byte-compile ${LISP_FILE}

tag-release: check compile
	printf '%s\n' '/^## master/ s/master/${VERS}/' . w | ed -s ${NEWS_FILE}
	git commit -m 'Add ${VERS} to ${NEWS_FILE}' ${NEWS_FILE}
	awk '/^* Version/ { v ++1 } v == 1' ${NEWS_FILE} \
	| sed 's/^## //' | tr -d \` \
	| git tag -F - ${TAG}

clean:
	rm -f ${PROG}.elc

=== debian/changelog ===
olivetti-mode (2.0.7-1) unstable; urgency=medium

  * Manually download & merge antisocial & noncollaborative dgit upload.
  * New upstream release.
  * Import updated upstream copyright statement and Upstream-Contact.
  * Declare Standards-Version 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 04 Nov 2024 13:54:19 -0500

olivetti-mode (2.0.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:01:26 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/olivetti-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/olivetti-mode.git
 Homepage: https://github.com/rnkn/olivetti
